package com.ruoyi.wms.enums;

import lombok.Getter;

public enum RequestEnum {
    NULLBOXINSTORE(0, "空箱入库"),
    NULLBOX(1, "请求空箱"),
    INSTORE(2, "入恒温区"),
    OUTSTORE(3, "出恒温区"),
    SENDWAITCHECK(4, "送待检区"),
    SENDCHECK(5, "送检验"),
    BACKWAITCHECK(6, "回待检区"),
    SENDSPOTCHECK(7, "送抽检"),
    SENDPRODSTORE(8, "送成品库"),
    OUTPRODSTORE(9, "出成品库"),
    SENDNULLSHELF(10,"空货架入库"),
    CALLNULLSHELF(11,"呼叫空货架"),
    ;

    @Getter
    private int code;
    @Getter
    private String message;

    private RequestEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

}
